using DressAtelierDataModels.Enums;
using DressAtelierDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("ID")]
        public int ID { get; set; }
        public int DressID { get; set; }
        public int ClientID { get; set; }
        [DisplayName("Client's name")]
        public string ClientFullName { get; set; } = string.Empty;
        public int? EmployeeID { get; set; }
        [DisplayName("Employee's name")]
        public string? EmployeeFullName { get; set; } = string.Empty;

        [DisplayName("DressName")]
        public string DressName { get; set; } = string.Empty;

        [DisplayName("Quantity")]
        public int Count { get; set; }

        [DisplayName("Overall price")]
        public double Sum { get; set; }

        [DisplayName("Status")]
        public OrderStatus Status { get; set; } = OrderStatus.Unknown;

        [DisplayName("Date of creation")]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [DisplayName("Date of implementation")]
        public DateTime? DateImplement { get; set; }

        
    }
}
